Bug 129964 - selected text is not highlighted in Acroread 5.08 + KDE 3.1.3 + RHEL WS 3.2
selected text is not highlighted in Acroread 5.08 + KDE 3.1.3 + RHEL WS 3.2
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdebase (Show other bugs)
3.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-15 18:27 EDT by De-Wei Yin
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:20:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description De-Wei Yin 2004-08-15 18:27:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
Installed RHEL WS 3.2 with Gnome (selected by default during
installation) and KDE (not selected by default so manually selected)
desktop environments.

Applied all available package updates from RHN.

Installed acroread-5.08-2.i386.rpm and acroread-plugin-5.08-2.i386.rpm
from the RHEL WS 3.2 Extras channel available at RHN.

Start /usr/bin/acroread and open a PDF file.  Select some text either
by click-dragging a text-mode cursor or by searching for a text
string.  The selected text is not highlighted in reverse video.


Version-Release number of selected component (if applicable):
acroread-5.08-2, kdebase-3.1.3-5.2, gnome-desktop-2.2.2-1,
mozilla-1.4.3-3.0.2

How reproducible:
Always

Steps to Reproduce:
1. Choose KDE session from gdm and login.
2. Start /usr/bin/acroread and open a PDF file.
3. Click on the text cursor button on the tool bar (the button with
the letter "T" and a dashed box).
4. Click and drag text-mode mouse cursor over any text.  The selected
text should appear highlighted (in reverse video), but doesn't.
5. Type Ctrl-F and search for a word that can be found in the PDF
file.  Acroread finds the page where the word is, but the word is not
highlighted in reverse video.
    

Actual Results:  The selected text is not highlighted (in reverse video).

Expected Results:  The selected text should appear in reverse video.

Additional info:

Workarounds:
1. The selected text does appear in reverse video when Acrobat Reader
is run in the Gnome Desktop.
2. Still use the KDE Desktop, but run Acrobat Reader as a plugin
within Mozilla (i.e., acroread embedded in Mozilla window).  The
selected text will appear in reverse video.

System Information:
* Dell Inspiron 8200 laptop
* ATI Radeon Mobility M9 video card with 64 MB memory (appears to be
probed correctly by redhat-config-xfree86; driver=radeon)
* Logitech MouseMan optical wheel mouse with USB connector (recognized
incorrectly by kudzu as generic PS/2 mouse, causing wheel button not
to work; manually corrected by running redhat-config-mouse).

Packages:
acroread-5.08-2
acroread-plugin-5.08-2
glibc[-devel]-2.3.2-95.20
gnome-desktop-2.2.2-1
kdebase-3.1.3-5.2
mozilla-1.4.3-3.0.2
XFree86[-libs]-4.3.0-62.EL
Comment 1 De-Wei Yin 2004-09-30 23:21:19 EDT
Problem persists after upgrading to RHEL WS 3.3.
Comment 2 Ngo Than 2004-10-01 04:40:10 EDT
If you remove /usr/share/apps/kdisplay/app-defaults/AAAMotif.ad,
/usr/share/apps/kdisplay/app-defaults/AcroRead.ad and restart KDE
again, does it work you ?
Comment 3 De-Wei Yin 2004-10-01 13:02:15 EDT
Hello Ngo Than!

Renaming these two files worked.  Highlighted text now appears in
reverse video (bg=blue, fg=black, but good enough).

Renaming only AcroRead.ad but keeping AAAMotif.ad also works.
Renaming only AAAMotif.ad but keeping AcroRead.ad does not work.

If You need more information, please let me know.  Thanks for Your help!

Dewey Yin
Comment 4 Jan Kazil 2005-03-16 12:45:40 EST
What also works is putting the following lines into $HOME/.Xdefaults :

acroread*Foreground: WINDOW_FOREGROUND
acroread*Background: #E9E9E9

Other colors can be used, of course.

JK
Comment 5 RHEL Product and Program Management 2007-10-19 15:20:46 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.